#### Beyond Linux® From Scratch (System V Edition) - Version r12.4-737

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  Libao-1.2.0

- Next

  libass-0.17.4

- Up
- Home

# libaom-3.13.1

## Introduction to libaom

The libaom package contains a reference version of the Alliance for Open Media video codec. This codec is a patent free alternative to H.265, and is starting to be used throughout the internet.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://storage.googleapis.com/aom-releases/libaom-3.13.1.tar.gz

- Download MD5 sum: d615c4dbe062fc307d70d7fb85b678b2

- Download size: 6.0 MB

- Estimated disk space required: 142 MB

- Estimated build time: 0.8 SBU (with parallelism=4)

### Additional Downloads

- Required patch: https://www.linuxfromscratch.org/patches/blfs/svn/libaom-3.13.1-nasm3-1.patch

### libaom Dependencies

#### Recommended

yasm-1.3.0 (or NASM-3.01)

#### Optional

Doxygen-1.15.0

## Installation of libaom

NASM-3 made a change where the help screen now shows different text based on different parameters, instead of displaying all the info upfront. This package depends on all the information being there. Fix how this package gets that information to prevent a configuration failure with only NASM-3 installed:

    patch -Np1 -i ../libaom-3.13.1-nasm3-1.patch

Install libaom by running the following commands:

    mkdir aom-build &&
    cd    aom-build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D BUILD_SHARED_LIBS=1       \
          -D ENABLE_DOCS=no            \
          -G Ninja .. &&
    ninja

This package does not come with a working test suite.

Now, as the `root` user:

    ninja install &&
    rm -v /usr/lib/libaom.a

## Command Explanations

`-D BUILD_SHARED_LIBS=1`: This switch builds shared versions of the libraries.

`-D ENABLE_DOCS=no`: This switch disables building the documentation because it fails due to an incompatibility with the latest version of Doxygen-1.15.0.

`-D ENABLE_NASM=yes`: Use this switch if you have both yasm-1.3.0 and NASM-3.01 installed and wish to use nasm instead of yasm.

## Contents

Installed Programs: aomdec and aomenc
Installed Libraries: libaom.so
Installed Directories: /usr/include/aom

### Short Descriptions

aomdec | offers various decoders supported by this package, including one for AV1
aomenc | offers various encoders supported by this package, including one for AV1
`libaom.so` | contains functions that provide a reference implementation of the AV1 codec

- Prev

  Libao-1.2.0

- Next

  libass-0.17.4

- Up
- Home